Subject: Re: bug#72986: Disabling menu-bar-mode changes size of new frames

From: martin rudalics <[email-masked]>
Date: Wed, 4 Sep 2024 19:11:23 +0200

> Just to check, you're suggesting that I bisect from emacs-29.3 (I use that
 > tag because it's what the version of 29 I'm using is built from) to master
 > HEAD, to find at which commit C-x 5 2 opens a small window immediately
 > (without disabling menu-bar-mode)?

That's the idea, yes.

 > This made no difference. I added just:
 >
 > (add-to-list 'default-frame-alist '(user-size . t))
 >
 > to ~/.config/emacs/early-init.el
 >
 > Then I ran each Emacs with just "emacs", confirmed that default-frame-alist
 > was set, then disabled menu-bar-mode (Emacs 29 only), then C-x 5 2. In each
 > case a small window was opened as before.

I had no hope that this would help.

martin